@if(notShowHeader()){
  <header class="relative z-50">
    @if(showSearchBar){
      <div class="fixed inset-0 z-30 transition-opacity duration-700 ease-out bg-black opacity-50"></div>
    }

    <div class="fixed w-full {{ scrolled ? 'background-white' : 'background-transparent' }} {{ scrolled ? 'drop-shadow' : ''}}">
      <div class="flex items-center justify-between px-7 py-2 lg:py-4 lg:px-14 xl:px-20">
        <a href="/">
          <img src="../../../assets/Fichier 2@4x-8.png" alt="Logo de La Virée Terroir" class="h-14 w-14 md:h-20 md:w-20 xl:h-28 xl:w-28" />
        </a>
        <div class="flex gap-6 lg:gap-10 items-center {{ scrolled ? 'text-black' : 'text-white' }}">
          <div class="hidden lg:flex lg:items-center lg:gap-10 xl:gap-14 xl:text-xl">
            <a href="about-us" class="hover:text-orange-500 transition duration-300">Qui sommes nous ?</a>
            <a href="notre-blog" class="hover:text-orange-500 transition duration-300">Blog</a>
            <a href="contact" class="hover:text-orange-500 transition duration-300">Nous contacter</a>
            <app-button [buttonText]="'Mon commerce'" (buttonClick)="navigateToCommerce()"></app-button>
          </div>
          <i class="fa-solid fa-magnifying-glass text-xl xl:text-2xl {{ scrolled ? 'text-black' : 'text-white' }} hover:text-orange-500 transition duration-300 cursor-pointer" (click)="toggleSearchBar()" (keydown.enter)="toggleSearchBar()" tabindex="0"></i>
          <a href="my-profile"><i class="fa-solid fa-user text-xl xl:text-2xl {{ scrolled ? 'text-black' : 'text-white' }} hover:text-orange-500 transition duration-300"></i></a>
          <i (click)="openNav()" class="fa-solid fa-bars text-md {{ scrolled ? 'bg-black' : 'bg-white' }} {{ scrolled ? 'text-white' : 'text-black' }} rounded-full p-2 lg:hidden hover:pointer" (keydown.enter)="openNav()" tabindex="0"></i>
        </div> 
      </div>
    </div>

    <div class="fixed w-full text-sm md:text-base bg-white shadow-md overflow-hidden transition-height duration-500 z-40" [ngClass]="{'h-0': !showSearchBar, 'h-24': showSearchBar}">
      <div class="flex items-center justify-center h-full relative mx-2">
        <input type="text" placeholder="Un produit, un commerçant..." class="px-4 py-2 w-96 md:w-4/5 border-b-2 border-gray-300 focus:outline-none" />
        <button class="absolute right-8 md:right-20" (click)="toggleSearchBar()">
          <i class="fa-solid fa-circle-xmark text-2xl text-gray-400"></i>
        </button>
      </div>
    </div>
  </header>
}
@if(!notShowHeader()) {
  <header class="relative z-50">
    <div class="fixed inset-0 z-30 transition-opacity duration-700 ease-out bg-black opacity-50" *ngIf="showSearchBar"></div>

    <div class="fixed w-full background-white drop-shadow">
      <div class="flex items-center justify-between px-7 py-2 lg:py-4 lg:px-14 xl:px-20">
        <a href="/">
          <img src="../../../assets/Fichier 2@4x-8.png" alt="Logo de La Virée Terroir" class="h-14 w-14 md:h-20 md:w-20 xl:h-28 xl:w-28" />
        </a>
        <div class="flex gap-6 lg:gap-10 items-center">
          <div class="hidden lg:flex lg:items-center lg:gap-10 xl:gap-14 xl:text-xl">
            <a href="about-us" class="hover:text-orange-500 transition duration-300">Qui sommes nous ?</a>
            <a href="notre-blog" class="hover:text-orange-500 transition duration-300">Blog</a>
            <a href="contact" class="hover:text-orange-500 transition duration-300">Nous contacter</a>
            <app-button [buttonText]="'Mon commerce'" (buttonClick)="navigateToCommerce()"></app-button>
          </div>
          <i class="fa-solid fa-magnifying-glass text-xl xl:text-2xl hover:text-orange-500 transition duration-300 cursor-pointer" (click)="toggleSearchBar()" (keydown.enter)="toggleSearchBar()" tabindex="0"></i>
          <a href="my-profile"><i class="fa-solid fa-user text-xl xl:text-2xl hover:text-orange-500 transition duration-300"></i></a>
          <i (click)="openNav()" class="fa-solid fa-bars text-md rounded-full p-2 lg:hidden hover:cursor-pointer" (keydown.enter)="openNav()" tabindex="0"></i>
        </div> 
      </div>
    </div>

    <div class="fixed w-full text-sm md:text-base bg-white shadow-md overflow-hidden transition-height duration-500 z-40" [ngClass]="{'h-0': !showSearchBar, 'h-24': showSearchBar}">
      <div class="flex items-center justify-center h-full relative mx-2">
        <input type="text" placeholder="Un produit, un commerçant..." class="px-4 py-2 w-96 md:w-4/5 border-b-2 border-gray-300 focus:outline-none" />
        <button class="absolute right-8 md:right-20" (click)="toggleSearchBar()">
          <i class="fa-solid fa-circle-xmark text-2xl text-gray-400"></i>
        </button>
      </div>
    </div>
  </header>
}

<!-- OVERLAY HAMBURGER MENU MOBILE -->
<div
     class="fixed inset-0 bg-cover bg-center overflow-x-hidden z-50 transition duration-700 transform text-white"
     [ngClass]="{'translate-x-full': !showNav, 'translate-x-0': showNav}"
     style="background-image: url(../../../assets/hamburger-background.png)">
  
  <!-- Button to close the overlay navigation -->
  <a class="absolute top-4 right-8 text-white text-4xl" (click)="closeNav()" (keydown.enter)="closeNav()" tabindex="0">&times;</a>

  <!-- Overlay content -->
  <div class="absolute top-1/3 text-xl w-full text-center transition duration-[800ms] transform" [ngClass]="{'translate-y-full': !showNav, 'translate-y-0': showNav}">
    <a href="about-us" class="block py-2 hover:text-white">Qui-sommes-nous ?</a>
    <a href="notre-blog" class="block py-2 hover:text-white">Notre blog</a>
    <a href="contact" class="block py-2 hover:text-white">Contact</a>
    <br />
    <app-button [buttonText]="'Mon commerce'" (buttonClick)="navigateToCommerce()"></app-button>
  </div>

  <div class="absolute bottom-0 left-1/2 transform -translate-x-1/2 flex gap-5 text-lg mt-5 pb-10 transition duration-[800ms]" [ngClass]="{'translate-y-full': !showNav, 'translate-y-0': showNav}">
    <i class="fa-brands fa-instagram"></i>
    <i class="fa-brands fa-pinterest"></i>
    <i class="fa-brands fa-facebook"></i>
  </div>

</div>

